Skip to main content
GET
/
configuration
/
v1
/
custom-vocabularies
List custom vocabularies
curl --request GET \
  --url https://api.sandbox.asapp.com/configuration/v1/custom-vocabularies \
  --header 'asapp-api-id: <api-key>' \
  --header 'asapp-api-secret: <api-key>'
import requests

url = "https://api.sandbox.asapp.com/configuration/v1/custom-vocabularies"

headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'asapp-api-id': '<api-key>', 'asapp-api-secret': '<api-key>'}
};

fetch('https://api.sandbox.asapp.com/configuration/v1/custom-vocabularies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "customVocabularies": [
    {
      "phrase": "IEEE",
      "soundsLike": [
        "I triple E"
      ],
      "id": "1"
    }
  ],
  "nextCursor": "6b29fc40-ca47-1067-b31d-00dd010662da",
  "prevCursor": "04719ebd-13e1-40e9-8b92-0941cd16a19c"
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}

Authorizations

asapp-api-id
string
header
required
asapp-api-secret
string
header
required

Query Parameters

cursor
string | null

The cursor pointing to the current position

limit
integer | null
default:20

The maximum amount of objects to retrieve

Required range: 1 <= x <= 100

Response

Custom vocabulary configurations.

customVocabularies
object[]
required
nextCursor
string | null
required

The next cursor to fetch

Example:

"6b29fc40-ca47-1067-b31d-00dd010662da"

prevCursor
string | null
required

The previous cursor to fetch

Example:

"04719ebd-13e1-40e9-8b92-0941cd16a19c"